import SeamlessWallet, {
  SeamlessWalletAttributes,
} from '../../db/models/SeamlessWallet';

export const getAllSeamlessWalletsRpo = async () => {
  const seamlessWallets = await SeamlessWallet.findAll({
    limit: 20,
    order: [['create_date', 'DESC']],
  });
  return seamlessWallets.map((seamlessWallet) => seamlessWallet.toJSON());
};
